<?php
include "../include/conn.php";
include "../include/function.php";
include "../include/userset.php";
//'**************************************************************************************************
//' 软件名称: 搜一次 Content Management System
//' 版本编号: V4.0.0版
//' 官方网站: http://www.syccms.com
//' 官方论坛：http://bbs.syccms.com
//' 版权所有: 搜一次运营团队
//' 郑重声明:
//'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
//'    2、搜一次网络有限公司保留此软件的法律追究权利
//'**************************************************************************************************


function RegSave(){
	global $db;
	$S_Name=SafeRequest("usersid","post");
	$S_PassWord=$_POST["Password"];
	$S_Question=SafeRequest("S_Question","post");
	$S_Answer=SafeRequest("S_Answer","post");
	$S_RealName=SafeRequest("S_RealName","post");
	$S_QQ=SafeRequest("S_QQ","post");
	$S_Email=SafeRequest("S_Email","post");
	$S_StartIP=SafeRequest("S_StartIP","post");
	$S_LastIP=SafeRequest("S_LastIP","post");
	$S_Tel=SafeRequest("S_Tel","post");
	$Code=SafeRequest("codes","post");
	if($S_Name==""){die("<script>alert('数据被过滤，请重新填写帐号！');window.history.go(-1);</script>");}
	if(strlen($S_Name)<4){die("<script>alert('数据被过滤，请重新填写帐号！');window.history.go(-1);</script>");}
	if($_COOKIE["captcha"]!=$Code){die("<script>alert('验证码错误，请重新输入！');window.history.go(-1);</script>");}
	$S_UseDate=date('Y-m-d');
	$S_CreateTime=date('Y-m-d');
	$S_LogNum=0;
	$S_PassWord = md5($S_PassWord);
	$S_Type=1;
	$S_UseType=0;
	$S_State=0;
	$S_Group=0;
	$S_LogTime=date('Y-m-d');
	$UserIP=getenv('REMOTE_ADDR');
	$S_ChangeTime=date('Y-m-d');
	$S_Coin=S_GiftPoints;
	$sql="select * from s_users where S_Name='".$S_Name."'";
	$result=$db->query($sql);
	if($row=$db->fetch_array($result)){
		die("<script>alert('会员帐号已存在，请重新输入！');window.history.go(-1);</script>");
	}
	else{
		$sql="insert into s_users (S_Name,S_PassWord,S_Question,S_Answer,S_Group,S_RealName,S_QQ,S_Email,S_StartIP,S_LastIP,S_State,S_Tel,S_Type,S_UseDate,S_LogTime,S_CreateTime,S_LogNum,S_LogIP,S_Coin,S_ChangeTime) values ('".$S_Name."','".$S_PassWord."','".$S_Question."','".$S_Answer."','".$S_Group."','".$S_RealName."','".$S_QQ."','".$S_Email."','".$S_StartIP."','".$S_LastIP."','".$S_State."','".$S_Tel."','".$S_Type."','".$S_UseDate."','".$S_LogTime."','".$S_CreateTime."',0,'".$UserIP."','".$S_Coin."','".$S_ChangeTime."')";
		$db->query($sql);
		setcookie("S_Name",$S_Name,time()+3600);
		setcookie("S_PWD",$S_PassWord,time()+3600);
		echo "<script>alert('恭喜您，注册成功！');window.location='index.php';</script>";
	}
	exit;
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<link href="images/style.css" rel="stylesheet" type="text/css" />
<title>会员注册 - <?php echo S_SiteName ?></title>
<script language="javascript">
function check(it){
		var S_Name=it.usersid.value;
		var Password1=it.Password1.value;
		var Password2=it.Password2.value;
		var S_Question=it.S_Question.value;
		var S_Answer=it.S_Answer.value;
		var S_RealName=it.S_RealName.value;
		var S_Email=it.S_Email.value;
		var S_QQ=it.S_QQ.value;
		var S_Tel=it.S_Tel.value;
		var Code=it.codes.value;
		it.usersid.style.borderColor='#666 #ccc #ccc #666';
		it.Password1.style.borderColor='#666 #ccc #ccc #666';
		it.Password2.style.borderColor='#666 #ccc #ccc #666';
		it.S_Question.style.borderColor='#666 #ccc #ccc #666';
		it.S_Answer.style.borderColor='#666 #ccc #ccc #666';
		it.S_RealName.style.borderColor='#666 #ccc #ccc #666';
		it.S_Email.style.borderColor='#666 #ccc #ccc #666';
		it.S_QQ.style.borderColor='#666 #ccc #ccc #666';
		it.S_Tel.style.borderColor='#666 #ccc #ccc #666';
		it.codes.style.border='1px solid #eaeaea';
		if(S_Name==""){
			it.usersid.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入帐号！";
			return false;}
		else if((len(S_Name)<4)||(len(S_Name)>16)){
			it.usersid.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="帐号限制4-16位！";
			return false;}
		else if(isID(S_Name)==false){
			it.usersid.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="帐号不允许特殊字符！";
			return false;}
		else if(Password1==""){
			it.Password1.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入密码!";
			return false;}
		else if((Password1.length<6)||(Password1.length>18)){
			it.Password1.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="密码限制6-18位！";
			return false;}
		else if(Password1!=Password2){
			it.Password1.style.border='1px solid red';
			it.Password2.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="两次密码输入不一致！";
			return false;}
		else if(S_Question==""){
			it.S_Question.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入提示问题！";
			return false;}
		else if((len(S_Question)<6)||(len(S_Question)>18)){
			it.S_Question.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="提示问题限制6-18位！";
			return false;}
		else if(S_Answer==""){
			it.S_Answer.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入提示答案！";
			return false;}
		else if((len(S_Answer)<6)||(len(S_Answer)>18)){
			it.S_Answer.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="提示答案限制6-18位！";
			return false;}
		/*else if(S_RealName==""){
			it.S_RealName.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入真实姓名！";
			return false;}
		else if(isID(S_RealName)==false){
			it.S_RealName.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="姓名不允许特殊字符！";
			return false;}
		else if(len(S_RealName)>50){
			it.S_RealName.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="姓名限制最大50位！";
			return false;}
		else if(S_Email==""){
			it.S_Email.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入邮箱！";
			return false;}
		else if(isEmail(S_Email)==false){
			it.S_Email.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="邮箱格式错误！";
			return false;}
		else if(len(S_Email)>50){
			it.S_Email.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="邮箱限制最大50位！";
			return false;}
		else if(S_QQ==""){
			it.S_QQ.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入QQ！";
			return false;}
		else if((len(S_QQ)<5)||(len(S_QQ)>18)){
			it.S_QQ.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="QQ限制5-18位！";
			return false;}
		else if(S_Tel==""){
			it.S_Tel.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入电话！";
			return false;}	
		else if((len(S_Tel)<4)||(len(S_Tel)>18)){
			it.S_Tel.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="电话限制4-18位！";
			return false;}*/
		else if(Code==""){
			it.codes.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="请输入验证码！";
			return false;}
		else if(Code.length!=4){
			it.codes.style.border='1px solid red';
			document.getElementById("tishi").innerHTML="验证码限制4位！";
			return false;}
	};
function turnpage(){
	window.location.href='?action=reginfo';
};
function isEmail(str){
 res = /^[0-9a-zA-Z_\-\.]+@[0-9a-zA-Z_\-]+(\.[0-9a-zA-Z_\-]+)*$/;
 var re = new RegExp(res);
 return !(str.match(re) == null);
};
function isID(str){
	res = /^(?!_)(?!.*?_$)[a-zA-Z0-9\u4e00-\u9fa5]+$/;
	var re = new RegExp(res);
	return !(str.match(re) == null);
};
function len(s) {
	var l = 0;
	var a = s.split("");
	for (var i=0;i<a.length;i++) {
	if (a[i].charCodeAt(0)<299) {
		l++;
		}
	else{
   l+=2;
		}
	}
	return l;
}
</script>
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="30">&nbsp;</td>
  </tr>
  <tr>
    <td><table width="600px" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="97" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="9"><img src="images/inleft.jpg"/></td>
              <td height="29" align="center" bgcolor="#20A9F9" class="starsize">会 员 注 册</td>
              <td width="9"><img src="images/inright.jpg"/></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td align="center" valign="top" style="border:2px #21A8F6 solid;"><table width="90%" border="0" cellspacing="10" cellpadding="0">
            <tr>
              <td><table align="left">
                  <tr>
                    <td><img src="images/center.jpg" /> </td>
                    <td valign="middle"><b><font color="#720F39" style="font-size:16px;">&nbsp;会员注册&nbsp;</font></b> </td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td height="10" background="images/inrepeat.jpg"></td>
            </tr>
            <tr>
              <td bgcolor="#EAF5FF">
              <?php
function Errer(){ ?>
                  <table width="90%" align="center" cellpadding="0" cellspacing="0" height="200px">
                    <tr>
                      <td align="center" bgcolor="#FFFFFF"><div style="color:#FF0000; font-family:'宋体'; font-size:15px;"><strong>非常抱歉！网站已暂时关闭注册！</strong></div></td>
                    </tr>
                  </table>
                <?php
}

function Reg(){ ?>
                  <table width="100%" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                    <tr>
                      <td height="32" align="left"><strong>&nbsp;注册条款</strong></td>
                    </tr>
                    <tr>
                      <td align="left">
                      <div style="overflow:scroll;height:300px;width:100%px;overflow-x:hidden;">
                        <p>1、注册用户的义务 <br />
                          (1) 遵守《全国人大常委会关于维护互联网安全的决定》、《互联网电子公告服务管理规定》及中华人民共和国其他各项有关法律、法规，承担一切因您的行为直接或间接引起的民事或刑事法律责任。 <br />
                          (2) 尊重网上道德，严禁发表危害国家安全、破坏民族团结、破坏国家宗教政策、破坏社会稳定、侮辱、诽谤、教唆、虚假、淫秽等内容的作品。 <br />
                          (3) 注册时提供您本人真实、正确、最新及完整的资料，并负责进行更新，以确保其真实、正确、最新及完整。 <br />
                          (4) 注册用户自行负担上网所需的设备及费用。 <br />
                          (5) 在任何情况下，注册用户不得利用“<?php echo S_SiteName ?>”进行违反或可能违反国家法律和法规的言论或行为，否则，“<?php echo S_SiteName ?>”可在任何时候不经任何事先通知终止向您提供服务。并且用户对自己的言论或行为负责。 <br />
                          若您提供任何错误、不实、过时或不完整的资料或信息，并为“<?php echo S_SiteName ?>”所确知，或者“<?php echo S_SiteName ?>”有合理的理由怀疑前述资料或信息为错误、不实、过时或不完整，“<?php echo S_SiteName ?>”有权暂停或终止您的帐号，并拒绝您于现在和未来使用“<?php echo S_SiteName ?>”全部或部分的服务。 </p>
                        <p>2、隐私制度 <br />
                          “<?php echo S_SiteName ?>”将尊重用户个人隐私，“<?php echo S_SiteName ?>”不会在未经合法用户授权时公开、编辑或透露其注册资料及保存在“<?php echo S_SiteName ?>”中的非公开内容。除非有法律许可要求透露这些信息。 </p>
                        <p>3、用户信息的存储与限制 <br />
                          “<?php echo S_SiteName ?>”不对用户所发布信息的删除或储存失败负责。“<?php echo S_SiteName ?>”有判定用户的行为是否符合“<?php echo S_SiteName ?>”服务条款的要求和精神的保留权利，如果用户违背了服务条款的规定，“<?php echo S_SiteName ?>”有中断对其提供网络服务的权利。 </p>
                        <p>4、服务条款的修改 <br />
                          “<?php echo S_SiteName ?>”有权在必要时修改服务条款。“<?php echo S_SiteName ?>”服务条款一旦发生变动，将会在重要页面上提示所修改的内容。如果不同意所改动的内容，用户可以主动取消获得的网络服务。如果用户继续享用网络服务，则视为接受服务条款的变动。“<?php echo S_SiteName ?>”保留随时修改或中断服务而不需照知用户的权利。“<?php echo S_SiteName ?>”行使修改或中断服务的权利，不需对用户或第三方负责。 </p>
                        <p>5、拒绝提供担保 <br />
                          用户对网络服务的使用承担风险。“<?php echo S_SiteName ?>”对此不作任何类型的担保，不论是明确的或隐含的，但是不对商业性的隐含担保、特定目的和不违反规定的适当担保作限制。 </p>
                        <p>6、有限责任 <br />
                          “<?php echo S_SiteName ?>”对任何直接、间接、偶然、特殊及继起的损害不负责任，这些损害可能来自：不正当使用网络服务，在网上购买商品或进行同类型服务，在网上进行交易，非法使用网络服务或用户传送的信息有所变动。 </p>
                        <p>7、服务的结束 <br />
                          用户或“<?php echo S_SiteName ?>”可随时根据实际情况中断一项或多项网络服务。“<?php echo S_SiteName ?>”不需对任何个人或第三方负责而随时中断服务。用户对后来的条款修改有异议，或对“<?php echo S_SiteName ?>”的服务不满，可以行使如下权利： <br />
                          (a)停止使用“<?php echo S_SiteName ?>”的网络服务； <br />
                          (b)通告“<?php echo S_SiteName ?>”停止对该用户的服务。 <br />
                          结束用户服务后，用户使用网络服务的权利马上中止。从那时起，用户没有权利，“<?php echo S_SiteName ?>”也没有义务传送任何未处理的信息或未完成的服务给用户或第三方。 </p>
                        <p>8、用户的广告宣传 <br />
                          用户在自己发表的信息中加入宣传资料或参与广告策划，在“<?php echo S_SiteName ?>”的免费服务上展示他们的产品或财产，任何这类促销方法，包括运输货物、付款、服务、商业条件、担保及与广告有关的描述都只是在相应的用户和广告销售商之间发生。上海网亨计算机信息服务有限公司不承担任何责任，“<?php echo S_SiteName ?>”没有义务为这类广告销售负任何一部分的责任。 </p>
                        <p>9、法律 <br />
                          网络服务条款要与中华人民共和国的法律解释相一致，用户和“<?php echo S_SiteName ?>”一致同意服从高等法院所管辖。如发生“<?php echo S_SiteName ?>”服务条款与中华人民共和国法律相抵触时，则这些条款将完全按法律规定重新解释，而其它条款则依旧保持对用户产生法律效力和影响。</p>
                      </div>

                        <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td height="30" align="center"><br />
                              <input type="button" name="bt1" onclick="turnpage()" value="同意注册条款" class="subput"/></td></tr>
                        </table></td>
                    </tr>
                  </table>
                <?php
}

function RegInfo(){
?>
                  <table width="100%" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                    <form name="reg" id="reg" action="?action=regsave" method="post" onsubmit="return check(this);">
                      <tr>
                        <td width="106" height="35" align="right" class="td_border">用户帐号：</td>
                        <td colspan="2" align="left" class="td_border"><input name="usersid" id="usersid" size="30"/>
                        <font color="#FF0000">＊</font></td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">用户密码：</td>
                        <td colspan="2" align="left" class="td_border"><input name="Password" id="Password1" type="password" size="30"/>
                        <font color="#FF0000">＊</font></td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">重复密码：</td>
                        <td colspan="2" align="left" class="td_border"><input name="Password2" id="Password2" type="password" size="30"/>
                        <font color="#FF0000">＊</font></td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">提示问题：</td>
                        <td colspan="2" align="left" class="td_border"><input name="S_Question" id="S_Question" size="30"/>
                        <font color="#FF0000">＊</font>[找回密码必须]</td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">提示答案：</td>
                        <td colspan="2" align="left" class="td_border"><input name="S_Answer" id="S_Answer" size="30"/>
                        <font color="#FF0000">＊</font>[找回密码必须]</td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">真实姓名：</td>
                        <td colspan="2" align="left" class="td_border"><input name="S_RealName" id="S_RealName" size="30"/>
                        </td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">电子邮箱：</td>
                        <td colspan="2" align="left" class="td_border"><input name="S_Email" id="S_Email" size="30"/>
                        </td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">联系Q Q：</td>
                        <td colspan="2" align="left" class="td_border"><input name="S_QQ" id="S_QQ" size="30" onkeyup="this.value=this.value.replace(/[^\d]/g,'')" onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))"/>
                        </td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">联系电话：</td>
                        <td colspan="2" align="left" class="td_border"><input name="S_Tel" id="S_Tel" size="30" onkeyup="this.value=this.value.replace(/[^\d]/g,'')" onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))"/>
                        </td>
                      </tr>
                      <tr>
                        <td height="35" align="right" class="td_border">验 证 码：</td>
                        <td width="142" align="left" class="td_border"><input type="text" size="5" id="codes" name="codes" style="border:1px solid #eaeaea"/>
                          &nbsp;<img src="../include/code.php" id="imgcode"> 
                        &nbsp; <font color="#FF0000">＊</font>
                        </td>
                        <td width="163" align="left" class="td_border">
                        <b>
                        <label id="tishi" style="color:#F00"></label>&nbsp;</b>
                        </td>
                      </tr>
                      <tr>
                        <td height="35" colspan="3" align="center" class="td_border"><input name="submit" type="submit" class="subput" id="savereg" value="确认提交"/>
                        </td>
                      </tr>
                    </form>
                  </table>
                <?php
}

if(S_VipReg==1){
	$action=SafeRequest("action","get");
	switch($action){
		case "reginfo" :
			RegInfo();
			break;
		case "regsave" :
			RegSave();
			break;
		default:
			Reg();
			break;
	}
}
else{
	Errer();
}
?>
              </td>
            </tr>
            <tr>
              <td height="10" background="images/inrepeat.jpg"></td>
            </tr>
            <tr>
              <td></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="20">&nbsp;</td>
  </tr>
</table>
</body>
</html>
